var express = require("express");
var app = express();
app.listen(8080, () => {
 console.log("API_DEMO Server running on port 8080");
});
// Add headers
app.use(function (req, res, next) {

    // Website you wish to allow to connect
	var allowedOrigins = ['http://localhost:4200', 'http://localhost:4000'];
	var origin = req.headers.origin;
    if(allowedOrigins.indexOf(origin) > -1){
       res.setHeader('Access-Control-Allow-Origin', origin);
	}
    res.setHeader('Access-Control-Allow-Methods', 'GET, POST, OPTIONS, PUT, PATCH, DELETE');
    res.setHeader('Access-Control-Allow-Headers', 'X-Requested-With,content-type');
    res.setHeader('Access-Control-Allow-Credentials', true);
	
    next();
});
app.get("/url", (req, res, next) => {
 var domain = '';
 if(req.headers.origin){
	domain = req.headers.origin + ' ---> ON BROWSER';
 } else {
	domain = req.headers.origin + ' ---> IN SERVER';	 
 }
 console.log('API Log: Consumer of /url domain is: ', domain);	
 res.json(["Tin nóng","Chủ đề","Thời sự","Thể thao","Ẩm thực"]);
});
app.get("/content", (req, res, next) => {
 var domain = '';
 if(req.headers.origin){
	domain = req.headers.origin + ' ---> ON BROWSER';
 } else {
	domain = req.headers.origin + ' ---> IN SERVER';	 
 }
 console.log('API Log: Consumer of /content is: ', domain);	
 res.json(
 [  "Trang bị trong bệnh viện dã chiến đầu tiên Vũ Hán",
	"Hơn 5.360 người Trung Quốc ở Khánh Hòa muốn về nước",
	"Một gia đình bị nhốt vì từ Vũ Hán về quê ăn Tết",
	"Tiêu chuẩn chức danh Tổng bí thư được điều chỉnh","Djokovic vô địch Australia Mở rộng 2020"]);
});
