import {Component, Inject, OnInit, PLATFORM_ID} from '@angular/core';
import {Hero} from '../hero';
import {HeroService} from '../hero.service';
import {UrltestService} from "../urltest.service";
import {isPlatformBrowser} from "@angular/common";

@Component({
  selector: 'app-dashboard',
  templateUrl: './dashboard.component.html',
  styleUrls: ['./dashboard.component.css']
})
export class DashboardComponent implements OnInit {
  heroes: Hero[] = [];
  urlList: any[] = [];

  constructor(
    private heroService: HeroService,
    private urlService: UrltestService,
    @Inject(PLATFORM_ID) private platformId: Object,
  ) {
  }

  ngOnInit() {
    // this.getHeroes();
    this.getUrl();
  }

  getHeroes(): void {
    this.heroService.getHeroes()
      .subscribe(heroes => this.heroes = heroes.slice(1, 5));
  }

  getUrl(): void {
    const platform = isPlatformBrowser(this.platformId) ? 'in the browser' : 'on the server';
    this.urlService.fetch(platform).subscribe(url => {
      debugger;
      this.urlList = url;
    });
  }
}
