import {Component, Inject, OnInit, PLATFORM_ID} from '@angular/core';

import { Hero } from '../hero';
import { HeroService } from '../hero.service';
import {UrltestService} from "../urltest.service";
import {isPlatformBrowser} from "@angular/common";

@Component({
  selector: 'app-heroes',
  templateUrl: './heroes.component.html',
  styleUrls: ['./heroes.component.css']
})
export class HeroesComponent implements OnInit {
  content: any[];

  constructor(
    private urlService: UrltestService,
    @Inject(PLATFORM_ID) private platformId: Object,
  ) { }

  ngOnInit() {
    this.getContent();
  }

  getContent(): void {
    const platform = isPlatformBrowser(this.platformId) ? 'in the browser' : 'on the server';
    this.urlService.getContent(platform).subscribe(content => {
      debugger;
      this.content = content;
    });
  }
}
